
#include <stdio.h>
#include <stdlib.h>

void daIntAstringaEsadecimale(int val, char stringa[])
{
 int i, n;
 int cifre[10]; // vettore per la memorizzazione delle cifre
 
 i=0;
 while (val > 0) 
      {
       // ciclo di generazione delle cifre esadecimali
       cifre[i] = val%16;
       val = val/16;
       i++;
      }
 n = i; // numero di cifre esadecimali del valore iniziale
 for (i=0; i<n; i++)
    {
     // ciclo di inversione: trasformazione delle cifre in caratteri
     if (cifre[n-i-1] < 10)
       stringa[i] = cifre[n-i-1] + 48;
     else
         stringa[i] = cifre[n-i-1] + 55;
    }
 stringa[n] = 0; // carattere terminatore della stringa
 return;
}


void main(int argn, char* argc[])
{
 int n;
 char stringa[32];

 if (argn != 2)
   {
    printf("Errore: numero di argomenti errato!\r\n");
    return;
   }
 
 n = atoi(argc[1]);
 daIntAstringaEsadecimale(n, stringa);
 printf("%s\r\n", stringa);
 return;
}

