
#include <stdio.h>
#include <stdlib.h>

/*
  estrae il valore della visibilita' dalla stringa ricevuta
  restituisce -1 in caso di errore
*/
int visibility(char string[])
{
 char* p = string;
 int v;

 // ciclo di scorrimento della stringa
 while (*p != '\0')
      {
	   // ricerca del carattere '>'
	   if (*p == '>')
	     {
		  // conversione della sottostringa che segue il crattere '>' in valore numerico
	      v = atoi(p+1);
		  return v;
	     }
	   p++;
      }
 // errore: non e' presente il carattere '>'
 return -1;
}


void main(int argc, char* argv[])
{
 int visibilita;

 if (argc != 2)
   {
    printf("Argomento mancante\r\n");
	return;
   }

 visibilita = visibility(argv[1]);
 if (visibilita < 0)
   printf("Errore nel formato della stringa\r\n");
 else
	 printf("La visibilita e' di %i metri\r\n", visibilita);
}
